# Generated by Django 3.1.13 on 2021-11-03 17:44

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0006_indicatorvalues'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalIndicatorValues',
            fields=[
                ('light', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('temperature', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('continentality', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('edaphic_moisture', models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True)),
                ('atmospheric_moisture', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('soil_reaction', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('nutrient', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('salinity', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('soil_texture', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('organic_matter', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('taxon', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='core.taxon')),
            ],
            options={
                'verbose_name': 'historical indicator values',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
